# Uses of Class
jam.framework.DocumentFrame

Packages that use DocumentFrame
Package
Description
jam.console
jam.demo
jam.framework

## Uses of DocumentFrame in jam.console

Subclasses of DocumentFrame in jam.console
Modifier and Type
Class
Description
`class`
`ConsoleFrame`
Methods in jam.console that return DocumentFrame
Modifier and Type
Method
Description
`DocumentFrame`
ConsoleApplication.`doNew()`
`DocumentFrame`
ConsoleApplication.`doOpenFile(File file)`

## Uses of DocumentFrame in jam.demo

Subclasses of DocumentFrame in jam.demo
Modifier and Type
Class
Description
`class`
`DemoFrame`

## Uses of DocumentFrame in jam.framework

Methods in jam.framework that return DocumentFrame
Modifier and Type
Method
Description
`DocumentFrame`
DocumentFrameFactory.`createDocumentFrame(Application app, MenuBarFactory menuBarFactory)`
`abstract DocumentFrame`
Application.`doNew()`
`DocumentFrame`
MultiDocApplication.`doNew()`
`DocumentFrame`
SingleDocApplication.`doNew()`
`DocumentFrame`
Application.`doOpen()`
`DocumentFrame`
Application.`doOpen(String fileName)`
`abstract DocumentFrame`
Application.`doOpenFile(File file)`
`DocumentFrame`
MultiDocApplication.`doOpenFile(File file)`
`DocumentFrame`
SingleDocApplication.`doOpenFile(File file)`
`DocumentFrame`
AuxilaryFrame.`getDocumentFrame()`
`DocumentFrame`
MultiDocApplication.`getDocumentFrame(File file)`
`DocumentFrame`
MultiDocApplication.`getUpperDocumentFrame()`
Methods in jam.framework with parameters of type DocumentFrame
Modifier and Type
Method
Description
`void`
MultiDocApplication.`destroyDocumentFrame(DocumentFrame documentFrame)`
`void`
SingleDocApplication.`setDocumentFrame(DocumentFrame documentFrame)`
Constructors in jam.framework with parameters of type DocumentFrame
Modifier
Constructor
Description
``
`AuxilaryFrame(DocumentFrame documentFrame)`
``
`AuxilaryFrame(DocumentFrame documentFrame, JPanel contentsPanel)`